Package: groovy.swing.impl

## [Java] Class TableLayoutCell

- groovy.swing.impl.TableLayoutCell

-     public class TableLayoutCell
      extends Object

  Represents a cell in a table layout.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static Logger` | `LOG` | Logger used to report invalid cell usage.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayoutCell(TableLayoutRow parent)` Creates a table cell associated with the supplied row.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addComponent(Component component)` Adds the component rendered by this table cell and registers the cell with its parent row.
    `` | `protected GridBagConstraints` | `createConstraints()` Creates the grid bag constraints that represent this cell in the table layout.
    `` | `protected int` | `getAnchor()` Returns: the GridBagConstraints enumeration for anchor
    `` | `public int` | `getColspan()` Returns the number of columns spanned by this cell.
    `` | `public Component` | `getComponent()` Returns the component currently rendered by this cell.
    `` | `public GridBagConstraints` | `getConstraints()` Returns: the constraints of this cell
    `` | `public int` | `getRowspan()` Returns the number of rows spanned by this cell.
    `` | `public boolean` | `isColfill()` Returns the colfill.
    `` | `public boolean` | `isRowfill()` Returns the rowfill.
    `` | `public void` | `setAlign(String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
    `` | `public void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
    `` | `public void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
    `` | `public void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
    `` | `public void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
    `` | `public void` | `setValign(String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected static final Logger LOG

      Logger used to report invalid cell usage.

  - ### Constructor Detail

    - #### public TableLayoutCell(TableLayoutRow parent)

      Creates a table cell associated with the supplied row.

      Parameters:
        `parent` - the owning row

  - ### Method Detail

    - #### public void addComponent(Component component)

      Adds the component rendered by this table cell and registers the cell with its parent row.

      Parameters:
        `component` - the component to render in the cell

    - #### protected GridBagConstraints createConstraints()

      Creates the grid bag constraints that represent this cell in the table layout.

      Returns:
        the constraints for this cell

    - #### protected int getAnchor()

      Returns:
        the GridBagConstraints enumeration for anchor

    - #### public int getColspan()

      Returns the number of columns spanned by this cell.

      Returns:
        the column span

    - #### public Component getComponent()

      Returns the component currently rendered by this cell.

      Returns:
        the cell component, or `null`

    - #### public GridBagConstraints getConstraints()

      Returns:
        the constraints of this cell

    - #### public int getRowspan()

      Returns the number of rows spanned by this cell.

      Returns:
        the row span

    - #### public boolean isColfill()

      Returns the colfill.

      Returns:
        boolean

    - #### public boolean isRowfill()

      Returns the rowfill.

      Returns:
        boolean

    - #### public void setAlign(String align)

      Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}

      Parameters:
        `align` - one of 'left', 'center', or 'right'

    - #### public void setColfill(boolean colfill)

      Sets whether or not this column should allow its component to stretch to fill the space available

      Parameters:
        `colfill` - The default is false

    - #### public void setColspan(int colspan)

      Sets the number of columns that this cell should span. The default value is 1

      Parameters:
        `colspan` - The default is 1

    - #### public void setRowfill(boolean rowfill)

      Sets whether or not this row should allow its component to stretch to fill the space available

      Parameters:
        `rowfill` - The default is false

    - #### public void setRowspan(int rowspan)

      Sets the number of rows that this cell should span. The default value is 1

      Parameters:
        `rowspan` - The default is 1

    - #### public void setValign(String valign)

      Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

      Parameters:
        `valign` - one of 'top', 'middle', 'bottom'